---
title: Performance.navigation
slug: Web/API/Performance/navigation
tags:
  - API
  - Backwards compatibility
  - Deprecated
  - HTTP
  - Navigation Timing
  - Performance
  - Property
  - Read-only
  - legacy
---
<p>{{APIRef("Navigation Timing")}}</p>

<div class="warning">
<p>This property is deprecated in the <a href="https://w3c.github.io/navigation-timing/#obsolete">Navigation Timing Level 2 specification</a>.</p>
</div>

<p>The legacy <code><strong>Performance</strong></code><strong><code>.navigation</code></strong> read-only property returns a {{domxref("PerformanceNavigation")}} object representing the type of navigation that occurs in the given browsing context, such as the number of redirections needed to fetch the resource.</p>

<p>This property is not available in workers.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>navObject</em> = <em>performance</em>.navigation;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Navigation Timing', '#sec-window.performance-attribute', 'Performance.navigation')}}</td>
   <td>{{Spec2('Navigation Timing')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Performance.navigation")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("Performance")}} interface it belongs to.</li>
</ul>
